## aeadmin 0.5.7-1

=== debian/changelog ===
aeadmin (0.5.7-1) stable; urgency=low

  Fixed (large) icon.

 -- Tom Waelti <twaelti@gmail.com>  Tue, 04 Oct 2011 00:02:53 +0000
