=== debian/control ===
Source: aeadmin
Section: user/office
Priority: extra
Maintainer: Tom Waelti <twaelti@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: aeadmin
Architecture: all
Depends: python2.5, python-osso, python-dbus, python2.5-gtk2, python2.5-pygame
Description: A simple clock for Maemo, including a day/night world map.
 Press D-Pad or bottom left to switch view mode.
 ESC to exit.
 Left/right D-Pad (or touching l/r border of screen)
 to change season.
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
