=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/aeadmin" install
	mkdir -p "$(CURDIR)/debian/aeadmin"

#	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/__init__.py" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/__init__.py"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/__init__.pyo" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/__init__.pyo"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/_util.py" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/_util.py"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/_util.pyo" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/_util.pyo"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/client.py" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/client.py"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/client.pyo" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/client.pyo"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/encoder.py" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/encoder.py"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/encoder.pyo" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/encoder.pyo"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/parser.py" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/parser.py"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/parser.pyo" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/parser.pyo"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/protocol.py" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/protocol.py"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/"
	cp -a "src/opt/ae/mustaine/protocol.pyo" "$(CURDIR)/debian/aeadmin//opt/ae/mustaine/protocol.pyo"
	mkdir -p "$(CURDIR)/debian/aeadmin//home/user/.local/share/applications/hildon/"
	cp -a "src/home/user/.local/share/applications/hildon/ae.desktop" "$(CURDIR)/debian/aeadmin//home/user/.local/share/applications/hildon/ae.desktop"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/"
	cp -a "src/opt/ae/ae.py" "$(CURDIR)/debian/aeadmin//opt/ae/ae.py"
	mkdir -p "$(CURDIR)/debian/aeadmin//opt/ae/"
	cp -a "src/opt/ae/rpc.py" "$(CURDIR)/debian/aeadmin//opt/ae/rpc.py"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
